curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Quota
Query Quota List
GET
/
openapi
/
v1
/
user
/
quota
/
list
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Quota modal. Common values:
llm, image.string
Quota type. Common values:
RPM, TPM, IPM.string
Product type. Common values:
Public Endpoint.string
Quota object. For model scenarios, pass a model ID such as
deepseek-v3. The server supports fuzzy matching. If empty, all quotas visible to the current account are returned.Response Parameters
object[]
required
Quota list.
Hide properties
Hide properties
string
required
Quota modal.
string
required
Quota object display name. For model scenarios, this is usually the model name or model ID.
string
required
Quota type.
string
required
Product type.
int32
required
Current account quota limit.
int32
required
Default quota limit.
bool
required
Whether quota adjustment can be requested.
int32
required
Number of returned quotas.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/user/quota/list?modal=llm"aType=RPM&productType=Public%20Endpoint"aObject=deepseek-v3' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"modal": "llm",
"quotaObject": "deepseek-v3",
"quotaType": "RPM",
"productType": "Public Endpoint",
"currentQuota": 60,
"defaultQuota": 60,
"adjustable": true,
"quotaItems": [
{
"tier": "T1",
"quota": 60
},
{
"tier": "T2",
"quota": 120
}
]
}
],
"total": 1
}
Last modified on May 25, 2026